<script src="https://apis.google.com/js/api.js"></script>
<script>

  function authenticate() {
    return gapi.auth2.getAuthInstance()
      .signIn({
        scope: "https://www.googleapis.com/auth/content"
      })
      .then(function () {
        console.log("Sign-in successful");
      },
        function (err) {
          console.error("Error signing in", err);
        });
  }


  function loadClient() {
    gapi.client.setApiKey("AIzaSyBriDRhgi8CKUKUW25n4s6DnybtXkfi0_k"); //api key
    return gapi.client.load("https://shoppingcontent.googleapis.com/$discovery/rest?version=v2.1")
      .then(function () {
        console.log("GAPI client loaded for API");

      },
        function (err) {
          console.error("Error loading GAPI client for API", err);
        });
  }

  // Make sure the client is loaded and sign-in is complete before calling this method.
  function execute() {
    return gapi.client.content.products.insert({
      "merchantId": "1659425556974",
      "access_token": "ya29.a0Aa4xrXOPikAk1B9t2rRIBMyCblIc3Q40IIjVXEwkqOw5DnWU8cnC5GEHznEZkfFPz-GmkGZI93BdaA2PxvGARdgsA5jZnjxMit0aNpnt-tZ8e0undxqnDE42tkr4Nz5BSZFLMFvEwzXq7hj02XK1cj3l5NBBaCgYKATASARISFQEjDvL964keDWMoJNKW-OH5ol0jZA0163",
      "resource": {
        "offerId": "book123",
        "title": "A Tale of Two Cities",
        "description": "A classic novel about the French Revolution",
        "link": "http://my-book-shop.com/tale-of-two-cities.html",
        "imageLink": "http://my-book-shop.com/tale-of-two-cities.jpg",
        "contentLanguage": "en",
        "targetCountry": "GB",
        "feedLabel": "GB",
        "channel": "online",
        "availability": "in stock",
        "condition": "new",
        "googleProductCategory": "Media &gt; Books",
        "gtin": "9780007350896",
        "price": {
          "value": "2.50",
          "currency": "GBP"
        },
        "shipping": [{
          "country": "GB",
          "service": "Standard shipping",
          "price": {
            "value": "0.99",
            "currency": "GBP"
          }
        }],
        "shippingWeight": {
          "value": "200",
          "unit": "grams"
        }
      }
    })
      .then(function (response) {
        // Handle the results here (response.result has the parsed body).
      },
        function (err) {
          console.error("Execute error", err);
        });
  }
  gapi.load("client:auth2", function () {
    gapi.auth2.init({
      client_id: "115710394676377515532"
    });
  });
</script>
<button onclick="authenticate().then(loadClient)">authorize and load</button>
<button onclick="execute()">execute</button>